Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlevs.eventstore
Interface EventStoreProvider

public interface EventStoreProvider

An underlying repository that provides event store services to clients.

Method Summary
`EventStore` | `createStore(java.lang.String name, EventStoreProperties props)` Creates a new event store within this provider, having the specified name and offering the specified properties.
`EventStore` | `findOrCreateStore(java.lang.String name, EventStoreProperties props)` Returns the event store having the specified name within this provider, or creates a new event store within this provider having the specified name and offering the specified properties if no event store already exists by that name within this provider.
`EventStore` | `findStore(java.lang.String name)` Returns the event store having the specified name, or null if none exists within this provider.
`java.lang.String` | `getName()` Returns the name of this provider.

Method Detail

### getName

    public java.lang.String getName()

  Returns the name of this provider.

### createStore

    public EventStore createStore(java.lang.String name,
                                  EventStoreProperties props)
                           throws EventStoreException

  Creates a new event store within this provider, having the specified name and offering the specified properties.

### findStore

    public EventStore findStore(java.lang.String name)
                         throws EventStoreException

  Returns the event store having the specified name, or null if none exists within this provider.

### findOrCreateStore

    public EventStore findOrCreateStore(java.lang.String name,
                                        EventStoreProperties props)
                                 throws EventStoreException

  Returns the event store having the specified name within this provider, or creates a new event store within this provider having the specified name and offering the specified properties if no event store already exists by that name within this provider.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 BEA Systems All Rights Reserved.